at.chipkarte.client.elgaad.soap

## Class Dosis

- Object
- - at.chipkarte.client.elgaad.soap.Dosis

-     public class Dosis
      extends Object

  Angaben zur Dosis.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die Dosis zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dosis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Double` | `getMenge()` Menge der Dosierung.
    `String` | `getMengenart()` Mengenart (aus Terminologieserver-ValueSet ELGA_MedikationMengenart_VS bzw.
    `void` | `setMenge(Double menge)`
    `void` | `setMengenart(String mengenart)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dosis

          public Dosis()

  - ### Method Detail

    - #### getMenge

          public Double getMenge()

      Menge der Dosierung.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Format: Double
      Returns:
        Dosierungsmenge

    - #### setMenge

          public void setMenge(Double menge)

    - #### getMengenart

          public String getMengenart()

      Mengenart (aus Terminologieserver-ValueSet ELGA_MedikationMengenart_VS bzw. Freitext).
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Format: alphanummerisch.
      Returns:
        Mengenart

    - #### setMengenart

          public void setMengenart(String mengenart)